## cudf 0.6

=== Makefile ===
include Makefile.config

NAME = cudf

LIBS = _build/cudf.cma
LIBS_OPT = _build/cudf.cmxa
PROGS = _build/main_cudf_check _build/main_cudf_parse_822
PROGS_BYTE = $(addsuffix .byte,$(PROGS))
PROGS_OPT = $(addsuffix .native,$(PROGS))
RESULTS = $(LIBS) $(PROGS_BYTE) _build/cudf_c.cmo
RESULTS_OPT = $(LIBS_OPT) $(PROGS_OPT) _build/cudf_c.cmx
SOURCES = $(wildcard *.ml *.mli *.mll *.mly)
C_LIB_DIR = c-lib
C_LIB_SOURCES = $(wildcard $(C_LIB_DIR)/*.c $(C_LIB_DIR)/*.h)

OCAMLBUILD = ocamlbuild
OBFLAGS =
OCAMLFIND = ocamlfind

ifeq ($(DESTDIR),)
INSTALL = $(OCAMLFIND) install
UNINSTALL = $(OCAMLFIND) remove
else
INSTALL = $(OCAMLFIND) install -destdir $(DESTDIR)/$(OCAMLLIBDIR)
UNINSTALL = $(OCAMLFIND) remove -destdir $(DESTDIR)/$(OCAMLLIBDIR)
endif

DIST_DIR = $(NAME)-$(VERSION)
DIST_TARBALL = $(DIST_DIR).tar.gz
DEB_TARBALL = $(subst -,_,$(DIST_DIR).orig.tar.gz)

all: $(RESULTS)
opt: $(RESULTS_OPT)
$(RESULTS): $(SOURCES)
$(RESULTS_OPT): $(SOURCES)

.PHONY: c-lib c-lib-opt
c-lib:
	make -C $(C_LIB_DIR) all
c-lib-opt:
	make -C $(C_LIB_DIR) opt

clean:
	make -C $(C_LIB_DIR) clean
	$(OCAMLBUILD) $(OBFLAGS) -clean
	rm -rf *.dsc *.deb *.changes *.orig.tar.gz *.upload \
		$(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/

_build/%:
	$(OCAMLBUILD) $(OBFLAGS) $*
	@touch $@

# top-level: _build/cudf.cma _build/tests.cmo
top-level: _build/cudf.cma
	ledit ocaml -I ./_build/ -init ./.ocamlinit-cudf

headers: header.txt .headache.conf
	headache -h header.txt -c .headache.conf $(SOURCES) $(C_LIB_SOURCES)

test: _build/test.byte
	$< -verbose
c-lib-test:
	make -C $(C_LIB_DIR) test
_build/test.byte: $(SOURCES)

tags: TAGS
TAGS: $(SOURCES)
	otags $^

INSTALL_STUFF = META
INSTALL_STUFF += $(wildcard _build/*.cma _build/*.cmxa _build/cudf.a)
INSTALL_STUFF += $(wildcard _build/cudf_*.cmi) $(wildcard _build/*.mli)
INSTALL_STUFF += $(wildcard _build/cudf_*.cmx _build/cudf_*.o _build/cudf_*.a)
INSTALL_STUFF += $(wildcard _build/cudf.o _build/cudf.cmx _build/cudf.cmi)

install:
	test -d $(DESTDIR)/$(OCAMLLIBDIR) || mkdir -p $(DESTDIR)/$(OCAMLLIBDIR)
	$(INSTALL) -patch-version $(VERSION) $(NAME) $(INSTALL_STUFF)
	test -d $(DESTDIR)/$(BINDIR) || mkdir -p $(DESTDIR)/$(BINDIR)
	for p in $(notdir $(PROGS)) ; do \
		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
		if [ -f _build/$$p.native ] ; then \
			cp _build/$$p.native $(DESTDIR)/$(BINDIR)/$$tgt ; \
		else \
			cp _build/$$p.byte $(DESTDIR)/$(BINDIR)/$$tgt ; \
		fi ; \
		echo "Installed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
	done
	if [ -f $(C_LIB_DIR)/cudf.o ] ; then \
		$(MAKE) -C c-lib/ -e install ; \
	fi

uninstall:
	$(UNINSTALL) $(NAME)
	for p in $(notdir $(PROGS)) ; do \
		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
		if [ -f $(DESTDIR)/$(BINDIR)/$$tgt ] ; then \
			rm $(DESTDIR)/$(BINDIR)/$$tgt ; \
		fi ; \
		echo "Removed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
	done
	-rmdir -p $(DESTDIR)/$(OCAMLLIBDIR) $(DESTDIR)/$(BINDIR)

dist: ./$(DIST_TARBALL)
./$(DIST_TARBALL):
	if [ -d ./$(DIST_DIR)/ ] ; then rm -rf ./$(DIST_DIR)/ ; fi
	if [ -d ./$(DIST_TARBALL) ] ; then rm -f ./$(DIST_TARBALL) ; fi
	svn export . ./$(DIST_DIR)
	rm -rf ./$(DIST_DIR)/debian
	tar cvzf ./$(DIST_TARBALL) ./$(DIST_DIR)
	rm -rf ./$(DIST_DIR)
	@echo "Distribution tarball: ./$(DIST_TARBALL)"

./$(DEB_TARBALL): ./$(DIST_TARBALL)
	cp $< $@
deb: ./$(DEB_TARBALL)
	rm -rf ./$(DIST_DIR)
	tar xvzf $<
	svn export debian/ $(DIST_DIR)/debian
	cd $(DIST_DIR) && dpkg-buildpackage -rfakeroot
rpm: ./$(DIST_TARBALL)
	rpmbuild --nodeps -ta $<

distcheck: ./$(DIST_TARBALL)
	tar xzf $<
	$(MAKE) -C ./$(DIST_DIR) all
	if which ocamlopt > /dev/null ; then $(MAKE) -C ./$(DIST_DIR) opt ; fi
	$(MAKE) -C ./$(DIST_DIR) test
	$(MAKE) -C ./$(DIST_DIR)/$(C_LIB_DIR)/ all
	$(MAKE) -C ./$(DIST_DIR) install DESTDIR=$(CURDIR)/$(DIST_DIR)/tmp
	rm -rf ./$(DIST_DIR)

doc:
	$(OCAMLBUILD) $(OBFLAGS) cudf.docdir/index.html

world: all opt c-lib c-lib-opt doc

.PHONY: all opt world clean top-level headers test tags install uninstall
.PHONY: dep rpm c-lib c-lib-opt dist doc

## cudf 0.5.99

=== debian/changelog ===
cudf (0.5.99-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Add debian/watch.
  * Switched to debian source version "3.0 (quilt)" (no change apart from
    adding debian/source)
  * Put maintainer=debian-ocaml-maintainers, Zack and me as uploaders,
    with the previous maintainer's blessing.

  [ Stefano Zacchiroli ]
  * uploading to unstable
  * debian/control: bump Standards-Version to 3.9.2 (no changes needed)
  * debian/patches/
    - add patch link-caml_hash_variant-with-ldl.patch to avoid link
      failure with recent binutils (and on non-Linux systems). Thanks
      Cyril Brulebois for the patch! (Closes: #602489)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 06 May 2011 21:21:03 +0200

cudf (0.5.99-1) experimental; urgency=low

  * New upstream release
  * debian/*.ocamldoc: pass -package extlib, as extlib types are now used
    in libcudf interface
  * move packaging (i.e. debian/ dir) to git.d.o
  * debian/control
    - update Vcs-* fields to reflect new packaging location
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/gbp.conf: add configuration file for git-buildpackage

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 04 Nov 2010 16:59:35 +0100

cudf (0.5.98-1) experimental; urgency=low

  * New upstream release
  * First upload to the Debian archive
  * debian/control
    - add missing build-dep on camlp4
    - bump Standards-Version (no changes needed)
  * debian/cudf-check.1: provide sensible whatis information
  * debian/copyright: bump copyright year to include 2010

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 25 Jun 2010 16:51:27 +0200

cudf (0.5.97-1) mancoosi; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 03 Jun 2010 16:42:23 +0200

cudf (0.5.96-1) mancoosi; urgency=low

  * New upstream release
  * debian/control: update Vcs-* fields to reflect upstream SVN change

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Jun 2010 15:56:54 +0200

cudf (0.5.94-1) mancoosi; urgency=low

  * New upstream release
  * Use upstream make to install C bindings
  * debian/control: point Homepage to CUDF homepage

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 18 Dec 2009 11:37:40 +0100

cudf (0.5.92-1) mancoosi; urgency=low

  * New upstream release
  * Port packaging to recent dh-ocaml (w/ ABI-based dependencies)
  * debian/control:
    - bump Standards-Version to 3.8.3 (no changes needed)
    - drop deps on libpcre-ocaml{,-dev} (no longer needed)
  * Enable generation of ocamldoc HTML API reference

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 21 Nov 2009 19:38:54 +0100

cudf (0.4-1) mancoosi; urgency=low

  * First public release.

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 17 Apr 2009 12:00:51 +0200

=== debian/control ===
Source: cudf
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper (>= 7),
 cdbs,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 ocaml-findlib,
 libextlib-ocaml-dev,
 libounit-ocaml-dev,
 libglib2.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
Homepage: http://www.mancoosi.org/cudf/

Package: libcudf-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ocaml-findlib,
 libextlib-ocaml-dev,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library to access descriptions of package upgrade problems
 libCUDF is a library to manipulate so called CUDF documents. A CUDF
 document describe an upgrade problem, as faced by package managers in
 popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 libCUDF enables manipulation of CUDF and related documents.
 .
 This package contains all the development stuff you need to use
 libCUDF in your OCaml programs.

Package: libcudf-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev,
 libglib2.0-dev,
 libncurses5-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: C library to access descriptions of package upgrade problems
 libCUDF is a library to manipulate so called CUDF documents. A CUDF
 document describe an upgrade problem, as faced by package managers in
 popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 libCUDF enables manipulation of CUDF and related documents.
 .
 This package contains a C static library binding the OCaml
 implementation of libCUDF so that it can be used from the C
 programming language.

Package: cudf-tools
Architecture: any
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for package upgrade problem descriptions
 A CUDF document describe an upgrade problem, as faced by package
 managers in popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 This package contains command line tools to manipulate CUDF and
 related documents. In particular it contains cudf-check, which
 enables checking of document properties such as installation
 consistency and matching of problems with their solutions.

=== debian/watch ===
version=3
http://gforge.info.ucl.ac.be/frs/?group_id=35 .*/cudf-(.*)\.tar\.gz

## cudf 0.6

=== debian/changelog ===
cudf (0.6-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:29 -0600

cudf (0.6-1) unstable; urgency=low

  * New upstream release; highlights:
    - speed improvements in the pretty printing engine and in cudf-check
    - fixes in the pretty printing engine
  * debian/patches/
    - drop link-caml_hash_variant-with-ldl.patch (integrated upstream)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Jun 2011 09:55:06 +0200

## cudf 0.6.1

=== debian/changelog ===
cudf (0.6.1-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:00:56 +0000

cudf (0.6.1-1build1) precise; urgency=low

  * Rebuild for new libextlib-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 11:38:03 +0100

cudf (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 15 Sep 2011 14:35:57 +0200

## cudf 0.6.2

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 DIST_DIR = $(NAME)-$(VERSION)
 DIST_TARBALL = $(DIST_DIR).tar.gz
-DEB_TARBALL = $(subst -,_,$(DIST_DIR).orig.tar.gz)
 
 all: $(RESULTS)
 opt: $(RESULTS_OPT)
@@ -43,8 +42,7 @@
 clean:
 	make -C $(C_LIB_DIR) clean
 	$(OCAMLBUILD) $(OBFLAGS) -clean
-	rm -rf *.dsc *.deb *.changes *.orig.tar.gz *.upload \
-		$(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
+	rm -rf $(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
 
 _build/%:
 	$(OCAMLBUILD) $(OBFLAGS) $*
@@ -103,21 +101,9 @@
 
 dist: ./$(DIST_TARBALL)
 ./$(DIST_TARBALL):
-	if [ -d ./$(DIST_DIR)/ ] ; then rm -rf ./$(DIST_DIR)/ ; fi
-	if [ -d ./$(DIST_TARBALL) ] ; then rm -f ./$(DIST_TARBALL) ; fi
-	svn export . ./$(DIST_DIR)
-	rm -rf ./$(DIST_DIR)/debian
-	tar cvzf ./$(DIST_TARBALL) ./$(DIST_DIR)
-	rm -rf ./$(DIST_DIR)
+	git archive --format=tar --prefix=$(DIST_DIR)/ HEAD | gzip > $@
 	@echo "Distribution tarball: ./$(DIST_TARBALL)"
 
-./$(DEB_TARBALL): ./$(DIST_TARBALL)
-	cp $< $@
-deb: ./$(DEB_TARBALL)
-	rm -rf ./$(DIST_DIR)
-	tar xvzf $<
-	svn export debian/ $(DIST_DIR)/debian
-	cd $(DIST_DIR) && dpkg-buildpackage -rfakeroot
 rpm: ./$(DIST_TARBALL)
 	rpmbuild --nodeps -ta $<

=== debian/changelog ===
cudf (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 15 Sep 2011 14:35:57 +0200

## cudf 0.6.3

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
 
 test: _build/test.byte
 	$< -verbose
+	@echo
 c-lib-test:
 	make -C $(C_LIB_DIR) test
 _build/test.byte: $(SOURCES)

=== c-lib/Makefile ===
include ../Makefile.config
all: libcudf.a c-test
opt: libcudf-opt.a c-test-opt
include Makefile.variants

NULL =
CFLAGS = -Wall -DG_LOG_DOMAIN=\"libCUDF\"
PROG_CFLAGS = -Wall
OCAML_LIBDIR := $(shell ocamlc -where)
INCLUDES = -I . -I $(OCAML_LIBDIR) $(shell pkg-config --cflags glib-2.0)
CUDF_LDFLAGS = -L$(OCAML_LIBDIR) -L$(CURDIR)
CUDF_CLIBS = -lcudf -lm -ldl -lunix -lncurses -lglib-2.0
OCAMLC = ocamlfind ocamlc -package unix,extlib
OCAMLOPT = ocamlfind ocamlopt -package unix,extlib

INSTALL_STUFF = libcudf.a cudf.h cudf.pc

libcudf.a: cudf-caml.o cudf.o
	cp $(OCAML_LIBDIR)/libcamlrun.a $@
	ar r $@ $^
libcudf-opt.a: cudf-caml-opt.o cudf.o
	cp $(OCAML_LIBDIR)/libasmrun.a $@
	ar r $@ $^

../_build/%:
	cd .. && ocamlbuild $*

cudf-caml.o: ../_build/cudf.cma ../_build/cudf_c.cmo
	$(OCAMLC) -linkpkg -output-obj -o $@ $^
cudf-caml-opt.o: ../_build/cudf.cmxa ../_build/cudf_c.cmx
	$(OCAMLOPT) -linkpkg -output-obj -o $@ $^

cudf.o: cudf.c cudf.h cudf-variants.h

c-test.o: c-test.c cudf.o
	$(CC) $(PROG_CFLAGS) $(INCLUDES) -c $<

c-test: c-test.o libcudf.a
	$(CC) $(PROG_CFLAGS) -o $@ $(INCLUDES) $(CUDF_LDFLAGS) $< $(CUDF_CLIBS)
c-test-opt: c-test.o libcudf-opt.a
	$(CC) $(PROG_CFLAGS) -o $@ $(INCLUDES) $(CUDF_LDFLAGS) $< \
		$(subst -lcudf,-lcudf-opt,$(CUDF_CLIBS))

test: ../tests/legacy.cudf ../tests/legacy-sol.cudf c-test
	./c-test ../tests/legacy.cudf ../tests/legacy-sol.cudf > /dev/null

cudf.pc: cudf.pc.in
	cat $< | sed -e "s,@OCAMLLIBDIR@,$(OCAMLLIBDIR),g" \
			-e "s,@VERSION@,$(VERSION),g" \
			-e "s,@LIBDIR@,$(LIBDIR),g" \
			-e "s,@INCDIR@,$(INCDIR),g" \
		> $@

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.a *.o *.cmo *.cmi
	rm -f c-test c-test-opt
	rm -f cudf.pc

install: cudf.pc
	test -d $(DESTDIR)/$(LIBDIR) || mkdir -p $(DESTDIR)/$(LIBDIR)
	test -d $(DESTDIR)/$(INCDIR) || mkdir -p $(DESTDIR)/$(INCDIR)
	test -d $(DESTDIR)/$(PCDIR) || mkdir -p $(DESTDIR)/$(PCDIR)
	if [ -f libcudf-opt.a ] ; then \
		cp libcudf-opt.a $(DESTDIR)/$(LIBDIR)/libcudf.a ; \
	else \
		cp libcudf.a $(DESTDIR)/$(LIBDIR)/libcudf.a ; \
	fi
	cp libcudf.a $(DESTDIR)/$(LIBDIR)
	cp cudf.h $(DESTDIR)/$(INCDIR)
	cp cudf.pc $(DESTDIR)/$(PCDIR)

uninstall:
	rm $(DESTDIR)/$(LIBDIR)/libcudf.a
	rm $(DESTDIR)/$(INCDIR)/cudf.h
	rm $(DESTDIR)/$(PCDIR)/cudf.pc
	-rmdir -p $(DESTDIR)/$(LIBDIR) $(DESTDIR)/$(INCDIR) $(DESTDIR)/$(PCDIR)

.PHONY: all opt clean test install uninstall

=== debian/changelog ===
cudf (0.6.3-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:26:58 +0000

cudf (0.6.3-2) unstable; urgency=low

  * update debian/watch (on INRIA forge now)
  * standards-version 3.9.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 May 2013 18:31:39 +0200

cudf (0.6.3-1) experimental; urgency=low

  * New upstream release
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)
  * debian/copyright: port syntax to machine-readable debian/copyright
    specification, version 1.0

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 03 Aug 2012 12:54:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
 Homepage: http://www.mancoosi.org/cudf/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libcudf-ocaml-dev
DESTDIR := $(CURDIR)/debian/tmp
DOCDIR = $(CURDIR)/debian/doc/html
OCAML_OCAMLDOC_PACKAGES = $(OCAML_LIBDEV_PACKAGES)

OBFLAGS = -classic-display -no-hygiene
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_BUILD_TARGET += c-lib
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET += opt
DEB_MAKE_BUILD_TARGET += c-lib-opt
else
OBFLAGS += -byte-plugin
endif
DEB_MAKE_BUILD_TARGET += OBFLAGS="$(OBFLAGS)"
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR)
DEB_MAKE_CHECK_TARGET = test c-lib-test OBFLAGS="$(OBFLAGS)"
DEB_DH_INSTALL_ARGS += -Xcudf-parse-822

## cudf 0.7

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 PROGS = _build/main_cudf_check _build/main_cudf_parse_822
 PROGS_BYTE = $(addsuffix .byte,$(PROGS))
 PROGS_OPT = $(addsuffix .native,$(PROGS))
-RESULTS = $(LIBS) $(PROGS_BYTE) _build/cudf_c.cmo
-RESULTS_OPT = $(LIBS_OPT) $(PROGS_OPT) _build/cudf_c.cmx
+DOC = doc/cudf-check.1
+RESULTS = $(DOC) $(LIBS) $(PROGS_BYTE) _build/cudf_c.cmo
+RESULTS_OPT = $(DOC) $(LIBS_OPT) $(PROGS_OPT) _build/cudf_c.cmx
 SOURCES = $(wildcard *.ml *.mli *.mll *.mly)
 C_LIB_DIR = c-lib
 C_LIB_SOURCES = $(wildcard $(C_LIB_DIR)/*.c $(C_LIB_DIR)/*.h)
@@ -33,7 +34,10 @@
 $(RESULTS): $(SOURCES)
 $(RESULTS_OPT): $(SOURCES)
 
-.PHONY: c-lib c-lib-opt
+doc/cudf-check.1: doc/cudf-check.pod
+	$(MAKE) -C doc/
+
+.PHONY: c-lib c-lib-opt doc
 c-lib:
 	make -C $(C_LIB_DIR) all
 c-lib-opt:
@@ -41,6 +45,7 @@
 
 clean:
 	make -C $(C_LIB_DIR) clean
+	make -C doc/ clean
 	$(OCAMLBUILD) $(OBFLAGS) -clean
 	rm -rf $(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
 
@@ -55,12 +60,13 @@
 headers: header.txt .headache.conf
 	headache -h header.txt -c .headache.conf $(SOURCES) $(C_LIB_SOURCES)
 
-test: _build/test.byte
-	$< -verbose
+test: test.byte
+	./$< -verbose
 	@echo
 c-lib-test:
 	make -C $(C_LIB_DIR) test
-_build/test.byte: $(SOURCES)
+test.byte: $(SOURCES)
+	ocamlbuild $@
 
 tags: TAGS
 TAGS: $(SOURCES)

=== debian/changelog ===
cudf (0.7-5build3) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:42 +0000

cudf (0.7-5build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Aug 2019 18:47:05 +0200

cudf (0.7-5build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 08:21:54 +0200

cudf (0.7-5) unstable; urgency=medium

  * Put back build-dependency on camlp4

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Jul 2019 10:33:10 -0300

cudf (0.7-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * debian/control: remove Build-Depends on camlp4, no longer needed
  * Update Vcs-* fields to salsa

  [ Ralf Treinen ]
  * Build-depend on debhelper-compat, remove file debian-compat.
  * Debhelper compatibility level 12 (no change)
  * Convert debian/rules to dh, drop build-dependency on cdbs.
  * debian/copyright: rename license
  * Standards-Version 4.4.0:
    - debian/copyright format header: use https
  * Add package tests cudf-check-universe and api-ocaml.

 -- Ralf Treinen <treinen@debian.org>  Fri, 26 Jul 2019 16:18:27 -0300

cudf (0.7-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Add ocamlbuild to Build-Depends

  [ Dimitri John Ledkov ]
  * Add ocaml-base-nox dependency to cudf-tools, otherwise results in
    aspcud autopkgtest failure when invoking cudf-check without interpret
    available.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 19:27:18 +0200

cudf (0.7-2) unstable; urgency=medium

  * upload to unstable

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 May 2014 10:15:18 +0200

cudf (0.7-1) experimental; urgency=medium

  * new upstream release
    - include new upstream cudf-check manpage with exit code information
      (Closes: #730529)
  * drop no longer needed Debian manpage from the package
  * add Build-Depends on perl (just in case), it is needed for pod2man
  * bump Standards-Version to 3.9.5 (no change)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Apr 2014 14:55:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: cudf
 Section: devel
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 7),
- cdbs,
+ debhelper-compat (=12),
  dh-ocaml (>= 0.9),
  ocaml-nox,
  camlp4,
  ocaml-findlib,
+ ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
- libglib2.0-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
+ libglib2.0-dev,
+ perl
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
 Homepage: http://www.mancoosi.org/cudf/
 
 Package: libcudf-ocaml-dev
@@ -82,6 +84,7 @@
 Architecture: any
 Section: devel
 Depends:
+ ocaml-base-nox,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: command line tools for package upgrade problem descriptions

## cudf 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,13 @@
 include Makefile.config
 
 NAME = cudf
+
+ifeq ("$(shell (ocamlc -config 2>/dev/null || ocamlopt -config) | fgrep os_type)","os_type: Win32")
+EXE=.exe
+OCAMLLIBDIR := $(shell cygpath $(OCAMLLIBDIR))
+else
+EXE=
+endif
 
 LIBS = _build/cudf.cma
 LIBS_OPT = _build/cudf.cmxa
@@ -22,8 +29,9 @@
 INSTALL = $(OCAMLFIND) install
 UNINSTALL = $(OCAMLFIND) remove
 else
-INSTALL = $(OCAMLFIND) install -destdir $(DESTDIR)/$(OCAMLLIBDIR)
-UNINSTALL = $(OCAMLFIND) remove -destdir $(DESTDIR)/$(OCAMLLIBDIR)
+DESTDIR:=$(DESTDIR)/
+INSTALL = $(OCAMLFIND) install -destdir $(DESTDIR)$(OCAMLLIBDIR)
+UNINSTALL = $(OCAMLFIND) remove -destdir $(DESTDIR)$(OCAMLLIBDIR)
 endif
 
 DIST_DIR = $(NAME)-$(VERSION)
@@ -79,17 +87,17 @@
 INSTALL_STUFF += $(wildcard _build/cudf.o _build/cudf.cmx _build/cudf.cmi)
 
 install:
-	test -d $(DESTDIR)/$(OCAMLLIBDIR) || mkdir -p $(DESTDIR)/$(OCAMLLIBDIR)
+	test -d $(DESTDIR)$(OCAMLLIBDIR) || mkdir -p $(DESTDIR)$(OCAMLLIBDIR)
 	$(INSTALL) -patch-version $(VERSION) $(NAME) $(INSTALL_STUFF)
-	test -d $(DESTDIR)/$(BINDIR) || mkdir -p $(DESTDIR)/$(BINDIR)
+	test -d $(DESTDIR)$(BINDIR) || mkdir -p $(DESTDIR)$(BINDIR)
 	for p in $(notdir $(PROGS)) ; do \
-		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
+		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'`$(EXE) ; \
 		if [ -f _build/$$p.native ] ; then \
-			cp _build/$$p.native $(DESTDIR)/$(BINDIR)/$$tgt ; \
+			cp _build/$$p.native $(DESTDIR)$(BINDIR)/$$tgt ; \
 		else \
-			cp _build/$$p.byte $(DESTDIR)/$(BINDIR)/$$tgt ; \
+			cp _build/$$p.byte $(DESTDIR)$(BINDIR)/$$tgt ; \
 		fi ; \
-		echo "Installed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
+		echo "Installed $(DESTDIR)$(BINDIR)/$$tgt" ; \
 	done
 	if [ -f $(C_LIB_DIR)/cudf.o ] ; then \
 		$(MAKE) -C c-lib/ -e install ; \
@@ -98,13 +106,13 @@
 uninstall:
 	$(UNINSTALL) $(NAME)
 	for p in $(notdir $(PROGS)) ; do \
-		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
-		if [ -f $(DESTDIR)/$(BINDIR)/$$tgt ] ; then \
-			rm $(DESTDIR)/$(BINDIR)/$$tgt ; \
+		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'`$(EXE) ; \
+		if [ -f $(DESTDIR)$(BINDIR)/$$tgt ] ; then \
+			rm $(DESTDIR)$(BINDIR)/$$tgt ; \
 		fi ; \
-		echo "Removed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
+		echo "Removed $(DESTDIR)$(BINDIR)/$$tgt" ; \
 	done
-	-rmdir -p $(DESTDIR)/$(OCAMLLIBDIR) $(DESTDIR)/$(BINDIR)
+	-rmdir -p $(DESTDIR)$(OCAMLLIBDIR) $(DESTDIR)$(BINDIR)
 
 dist: ./$(DIST_TARBALL)
 ./$(DIST_TARBALL):
@@ -130,3 +138,4 @@
 
 .PHONY: all opt world clean top-level headers test tags install uninstall
 .PHONY: dep rpm c-lib c-lib-opt dist doc
+.NOTPARALLEL:

=== c-lib/Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 all: libcudf.a c-test
 opt: libcudf-opt.a c-test-opt
 include Makefile.variants
+
+ifneq ($(DESTDIR),)
+DESTDIR:=$(DESTDIR)/
+endif
 
 NULL =
 CFLAGS = -Wall -DG_LOG_DOMAIN=\"libCUDF\"
@@ -60,22 +64,22 @@
 	rm -f cudf.pc
 
 install: cudf.pc
-	test -d $(DESTDIR)/$(LIBDIR) || mkdir -p $(DESTDIR)/$(LIBDIR)
-	test -d $(DESTDIR)/$(INCDIR) || mkdir -p $(DESTDIR)/$(INCDIR)
-	test -d $(DESTDIR)/$(PCDIR) || mkdir -p $(DESTDIR)/$(PCDIR)
+	test -d $(DESTDIR)$(LIBDIR) || mkdir -p $(DESTDIR)$(LIBDIR)
+	test -d $(DESTDIR)$(INCDIR) || mkdir -p $(DESTDIR)$(INCDIR)
+	test -d $(DESTDIR)$(PCDIR) || mkdir -p $(DESTDIR)$(PCDIR)
 	if [ -f libcudf-opt.a ] ; then \
-		cp libcudf-opt.a $(DESTDIR)/$(LIBDIR)/libcudf.a ; \
+		cp libcudf-opt.a $(DESTDIR)$(LIBDIR)/libcudf.a ; \
 	else \
-		cp libcudf.a $(DESTDIR)/$(LIBDIR)/libcudf.a ; \
+		cp libcudf.a $(DESTDIR)$(LIBDIR)/libcudf.a ; \
 	fi
-	cp libcudf.a $(DESTDIR)/$(LIBDIR)
-	cp cudf.h $(DESTDIR)/$(INCDIR)
-	cp cudf.pc $(DESTDIR)/$(PCDIR)
+	cp libcudf.a $(DESTDIR)$(LIBDIR)
+	cp cudf.h $(DESTDIR)$(INCDIR)
+	cp cudf.pc $(DESTDIR)$(PCDIR)
 
 uninstall:
-	rm $(DESTDIR)/$(LIBDIR)/libcudf.a
-	rm $(DESTDIR)/$(INCDIR)/cudf.h
-	rm $(DESTDIR)/$(PCDIR)/cudf.pc
-	-rmdir -p $(DESTDIR)/$(LIBDIR) $(DESTDIR)/$(INCDIR) $(DESTDIR)/$(PCDIR)
+	rm $(DESTDIR)$(LIBDIR)/libcudf.a
+	rm $(DESTDIR)$(INCDIR)/cudf.h
+	rm $(DESTDIR)$(PCDIR)/cudf.pc
+	-rmdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(INCDIR) $(DESTDIR)$(PCDIR)
 
 .PHONY: all opt clean test install uninstall

=== debian/changelog ===
cudf (0.9-2build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:15:39 +0100

cudf (0.9-2build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:51 +0100

cudf (0.9-2build1) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 17:47:20 +0100

cudf (0.9-2) unstable; urgency=medium

  * debian/watch:
    - version 4
    - new git repository at gitlab
  * Standards-version 4.6.0 (no change)
  * Add debian/upstream/metadata
  * Removed build-depedency on camlp4 which, according to ChangeLog, is no
    longer needed.

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Oct 2021 20:50:51 +0200

cudf (0.9-1) unstable; urgency=medium

  * New upstream release.
  * Removed zack from Uploaders on his request
  * Debhelper compatibility level 13
  * Standards-Version 4.5.0 (no change)
  * Set Rules-Requires-Root=no

 -- Ralf Treinen <treinen@debian.org>  Fri, 09 Oct 2020 01:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: cudf
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stefano Zacchiroli <zack@debian.org>,
- Ralf Treinen <treinen@debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  dh-ocaml (>= 0.9),
  ocaml-nox,
- camlp4,
  ocaml-findlib,
  ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev,
  perl
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
 Homepage: http://www.mancoosi.org/cudf/
@@ -105,4 +103,3 @@
  related documents. In particular it contains cudf-check, which
  enables checking of document properties such as installation
  consistency and matching of problems with their solutions.
-

=== debian/tests/control ===
Tests: cudf-check-universe
Depends: cudf-tools

Tests: api-ocaml
Depends: libcudf-ocaml-dev, ocaml-nox, ocaml-findlib, ocamlbuild

=== debian/watch ===
version=4
https://gitlab.com/irill/cudf/tags?sort=updated_desc .*/archive/v[0-9.]+/cudf-v([0-9.]+)\.tar\.gz

## cudf 0.10

=== Makefile ===
include Makefile.config

NAME = cudf

DOC = doc/cudf-check.1
SOURCES = $(wildcard */*.ml */*.mli */*.mll */*.mly)
C_LIB_DIR = c-lib
C_LIB_SOURCES = $(wildcard $(C_LIB_DIR)/*.c $(C_LIB_DIR)/*.h)

ifeq ($(DESTDIR),)
INSTALL = dune install
UNINSTALL = dune uninstall
else
DESTDIR:=$(DESTDIR)/
INSTALL = dune install --destdir=$(DESTDIR)
UNINSTALL = dune uninstall --destdir=$(DESTDIR)
endif

DIST_DIR = $(NAME)-$(VERSION)
DIST_TARBALL = $(DIST_DIR).tar.gz

all: doc/cudf-check.1
	dune build

doc/cudf-check.1: doc/cudf-check.pod
	$(MAKE) -C doc/

.PHONY: c-lib c-lib-opt doc
c-lib:
	make -C $(C_LIB_DIR) all
c-lib-opt:
	make -C $(C_LIB_DIR) opt

clean:
	make -C $(C_LIB_DIR) clean
	make -C doc/ clean
	dune clean
	rm -rf $(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/

top-level:
	ledit ocaml -init ./.ocamlinit-cudf

headers: header.txt .headache.conf
	headache -h header.txt -c .headache.conf $(SOURCES) $(C_LIB_SOURCES)

test:
	dune runtest
c-lib-test:
	make -C $(C_LIB_DIR) test

tags: TAGS
TAGS: $(SOURCES)
	otags $^

install:
	$(INSTALL)
	if [ -f $(C_LIB_DIR)/cudf.o ] ; then \
		$(MAKE) -C c-lib/ -e install ; \
	fi

uninstall:
	$(UNINSTALL)
	-rmdir -p $(DESTDIR)$(OCAMLLIBDIR) $(DESTDIR)$(BINDIR)

dist: ./$(DIST_TARBALL)
./$(DIST_TARBALL):
	git archive --format=tar --prefix=$(DIST_DIR)/ HEAD | gzip > $@
	@echo "Distribution tarball: ./$(DIST_TARBALL)"

rpm: ./$(DIST_TARBALL)
	rpmbuild --nodeps -ta $<

distcheck: ./$(DIST_TARBALL)
	tar xzf $<
	$(MAKE) -C ./$(DIST_DIR) all
	$(MAKE) -C ./$(DIST_DIR) test
	$(MAKE) -C ./$(DIST_DIR)/$(C_LIB_DIR)/ all
	$(MAKE) -C ./$(DIST_DIR) install DESTDIR=$(CURDIR)/$(DIST_DIR)/tmp
	rm -rf ./$(DIST_DIR)

doc:
	dune build @doc

world: all c-lib c-lib-opt doc

.PHONY: all world clean top-level headers test tags install uninstall
.PHONY: dep rpm c-lib c-lib-opt dist doc
.NOTPARALLEL:

=== c-lib/Makefile ===
--- 
+++ 
@@ -26,13 +26,15 @@
 	cp $(OCAML_LIBDIR)/libasmrun.a $@
 	ar r $@ $^
 
-../_build/%:
-	cd .. && ocamlbuild $*
+cudf_c.cmo: cudf_c.ml
+	$(OCAMLC) -linkpkg -I ../_build/install/default/lib/cudf/ ../_build/install/default/lib/cudf/cudf.cma $^
+cudf_c.cmx: cudf_c.ml
+	$(OCAMLOPT) -linkpkg -I ../_build/install/default/lib/cudf/ ../_build/install/default/lib/cudf/cudf.cmxa $^
 
-cudf-caml.o: ../_build/cudf.cma ../_build/cudf_c.cmo
-	$(OCAMLC) -linkpkg -output-obj -o $@ $^
-cudf-caml-opt.o: ../_build/cudf.cmxa ../_build/cudf_c.cmx
-	$(OCAMLOPT) -linkpkg -output-obj -o $@ $^
+cudf-caml.o: cudf_c.cmo
+	$(OCAMLC) -linkpkg -output-obj -o $@ ../_build/install/default/lib/cudf/cudf.cma $^
+cudf-caml-opt.o: cudf_c.cmx
+	$(OCAMLOPT) -linkpkg -output-obj -o $@ ../_build/install/default/lib/cudf/cudf.cmxa $^
 
 cudf.o: cudf.c cudf.h cudf-variants.h
 
@@ -45,8 +47,8 @@
 	$(CC) $(PROG_CFLAGS) -o $@ $(INCLUDES) $(CUDF_LDFLAGS) $< \
 		$(subst -lcudf,-lcudf-opt,$(CUDF_CLIBS))
 
-test: ../tests/legacy.cudf ../tests/legacy-sol.cudf c-test
-	./c-test ../tests/legacy.cudf ../tests/legacy-sol.cudf > /dev/null
+test: ../tests/data/legacy.cudf ../tests/data/legacy-sol.cudf c-test
+	./c-test ../tests/data/legacy.cudf ../tests/data/legacy-sol.cudf > /dev/null
 
 cudf.pc: cudf.pc.in
 	cat $< | sed -e "s,@OCAMLLIBDIR@,$(OCAMLLIBDIR),g" \

=== doc/Makefile ===
include ../Makefile.config

MANPAGES = cudf-check

GEN_STUFF = $(patsubst %,%.1,$(MANPAGES))

all: $(GEN_STUFF)

%.1: %.pod
	pod2man --release $(VERSION) $< > $@

clean:
	rm -f $(GEN_STUFF)

show: cudf-check.1
	man -l $<

.PHONY: all clean show

=== debian/changelog ===
cudf (0.10-2) unstable; urgency=medium

  * Team upload
  * Fix bogus dependencies in libcudf-dev (Closes: #1041758)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 21:14:07 +0200

cudf (0.10-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-ocaml.
  * Remove constraints unnecessary since buster (oldstable):
    + libcudf-dev: Replace dependency on transitional package libncurses5-dev
      with replacement libtinfo6 (= 6.1+20181013-2+deb10u2), libncurses-dev (=
      6.1+20181013-2+deb10u2) in Depends.
  * Use secure URI in Homepage field.
  * Remove field Section on binary package cudf-tools that duplicates source.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 10:15:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (=13),
- dh-ocaml (>= 0.9),
- ocaml-nox,
+ debhelper-compat (= 13),
+ dh-ocaml (>= 1.2),
+ ocaml,
  ocaml-findlib,
+ ocaml-dune,
  ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev,
  perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
-Homepage: http://www.mancoosi.org/cudf/
+Homepage: https://www.mancoosi.org/cudf/
 
 Package: libcudf-ocaml-dev
 Architecture: any
@@ -54,7 +55,7 @@
 Depends:
  libc6-dev,
  libglib2.0-dev,
- libncurses5-dev,
+ libncurses-dev,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: C library to access descriptions of package upgrade problems
@@ -80,7 +81,6 @@
 
 Package: cudf-tools
 Architecture: any
-Section: devel
 Depends:
  ocaml-base-nox,
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp
export DESTDIR

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc/cudf-check.1 c-lib
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) c-lib-opt
endif

override_dh_auto_install:
	dh_auto_install
	make -C c-lib/ -e install
